Chromium Code Reviews
Help | Chromium Project | Sign in
(3)

Issue 2578403002: Changed EVerticalAlign to an enum class and renamed its members (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by sashab
Modified:
3 months, 1 week ago
Reviewers:
Eddy, napper
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-animation_chromium.org, blink-reviews-css, blink-reviews-layout_chromium.org, blink-reviews-style_chromium.org, chromium-reviews, dglazkov+blink, eae+blinkwatch, Eric Willigers, jchaffraix+rendering, leviw+renderwatch, pdr+renderingwatchlist_chromium.org, rjwright, rwlbuis, shans, szager+layoutwatch_chromium.org, zoltan1
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Changed EVerticalAlign to an enum class and renamed its members Changed EVerticalAlign to an enum class and gave it an unsigned underlying type. Changing it to an enum class enforces better namespacing and code practices. Adding the unsigned underlying type is pre-work for when the class is eventually stored as an enum bitfield (it would be done in this patch, except a presubmit warning already exists that prevents that. The presubmit warning needs to be updated before that change can occur.) This is also pre-work to move EVerticalAlign to be generated in ComputedStyleBase. BUG=628043 Committed: https://crrev.com/2f0c2019085dfcf95005bb54b9eb483893e8cb1d Cr-Commit-Position: refs/heads/master@{#440009}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+91 lines, -87 lines) Patch
M third_party/WebKit/Source/core/animation/LengthPropertyFunctions.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/animation/css/CSSAnimatableValueFactory.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/css/CSSPrimitiveValueMappings.h View 2 chunks +20 lines, -20 lines 0 comments Download
M third_party/WebKit/Source/core/css/CSSPropertyEquality.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/css/ComputedStyleCSSValueMapping.cpp View 1 chunk +10 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/core/css/resolver/StyleBuilderCustom.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutInline.cpp View 2 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutTableCell.h View 1 chunk +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutTableCell.cpp View 2 chunks +11 lines, -11 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutTableSection.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/line/InlineFlowBox.cpp View 4 chunks +9 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/core/layout/line/RootInlineBox.cpp View 3 chunks +12 lines, -11 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.h View 3 chunks +7 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyleConstants.h View 1 chunk +11 lines, -11 lines 0 comments Download
Trybot results:  linux_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   linux_chromium_rel_ng   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromium_presubmit   linux_android_rel_ng   cast_shell_linux   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_android_rel_ng   win_chromium_x64_rel_ng   win_clang   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   linux_chromium_rel_ng   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   linux_android_rel_ng   cast_shell_linux   android_n5x_swarming_rel   android_compile_dbg   android_cronet   android_arm64_dbg_recipe   android_clang_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 16 (10 generated)
sashab
One last patch ;)
3 months, 1 week ago (2016-12-16 03:41:22 UTC) #3
sashab
Oops, napper has gone on holiday lol. Eddy ptal, mainly a rename patch :)
3 months, 1 week ago (2016-12-20 22:59:14 UTC) #8
Eddy
lgtm
3 months, 1 week ago (2016-12-21 00:35:53 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2578403002/1
3 months, 1 week ago (2016-12-21 00:37:18 UTC) #11
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 months, 1 week ago (2016-12-21 04:13:29 UTC) #14
commit-bot: I haz the power
3 months, 1 week ago (2016-12-21 04:15:24 UTC) #16
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/2f0c2019085dfcf95005bb54b9eb483893e8cb1d
Cr-Commit-Position: refs/heads/master@{#440009}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46